| 1.0.2 API documentation

Functions
scalar_ulp.hpp File Reference

GLM_EXT_scalar_ulp More...

Go to the source code of this file.

## Functions
GLM_FUNC_DECL int64 | floatDistance (double x, double y)
| Return the distance in the number of ULP between 2 double-precision floating-point scalars. More...
GLM_FUNC_DECL int | floatDistance (float x, float y)
| Return the distance in the number of ULP between 2 single-precision floating-point scalars. More...
template<typename genType >
GLM_FUNC_DECL genType | nextFloat (genType x)
| Return the next ULP value(s) after the input value(s). More...
template<typename genType >
GLM_FUNC_DECL genType | nextFloat (genType x, int ULPs)
| Return the value(s) ULP distance after the input value(s). More...
template<typename genType >
GLM_FUNC_DECL genType | prevFloat (genType x)
| Return the previous ULP value(s) before the input value(s). More...
template<typename genType >
GLM_FUNC_DECL genType | prevFloat (genType x, int ULPs)
| Return the value(s) ULP distance before the input value(s). More...

## Detailed Description

GLM_EXT_scalar_ulp

Definition in file scalar_ulp.hpp.